#
# spec file for package libpgeasy (Version 3.0.4)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libpgeasy
BuildRequires:  krb5-devel postgresql-devel
Url:            http://gborg.postgresql.org/project/pgeasy
Summary:        Simplified C Client Interface for PostgreSQL
Version:        3.0.4
Release:        207.1
License:        BSD-3-Clause
Group:          Productivity/Databases/Clients
Source0:        %name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       postgresql-libs:%_libdir/libpgeasy.so.2.2 pgeasy

%description
LIBPGEASY is a simplified C interface that hides some of the complexity
of LIBPQ.



Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%prep
%setup -q

%build
export CFLAGS="%optflags"
%configure \
	--with-pqinclude=%_includedir/pgsql \
	--with-pqlib=%_libdir \
	--disable-static \
	--with-pic
make %{?jobs:-j%jobs}

%install
make install DESTDIR=%buildroot

%clean
rm -rf %buildroot

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc CHANGES README docs/*.html examples
%_includedir/libpgeasy.h
%_libdir/lib*

%changelog
* Thu Dec 27 2007 crrodriguez@suse.de
- fix library-without-ldconfig-post* errors
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Thu Nov 18 2004 ro@suse.de
- use kerberos-devel-packages
* Thu Nov 11 2004 ro@suse.de
- fixed file list
* Thu Aug 19 2004 max@suse.de
- New version: 3.0.4.
- Renamed from pgeasy to libpgeasy.
* Mon Jan 27 2003 max@suse.de
- Quote $RPM_OPT_FLAGS.
- Added split-provides.
* Mon Jan 27 2003 max@suse.de
- Split off from the postgresql-libs package, because they are now
  separate projects.
